Rivet: Analysis object manipulation functions

| Rivet 3.1.9

Functions
Analysis object manipulation functions

## Functions
bool | Rivet::isTmpPath (const std::string &path)
map< string, YODA::AnalysisObjectPtr > | Rivet::getRefData (const string &papername)
string | Rivet::getDatafilePath (const string &papername)
| Get the file system path to the reference file for this paper.
template<typename T >
bool | Rivet::aocopy (YODA::AnalysisObjectPtr src, YODA::AnalysisObjectPtr dst)
template<typename T >
bool | Rivet::aocopy (YODA::AnalysisObjectPtr src, YODA::AnalysisObjectPtr dst, double scale)
template<typename T >
bool | Rivet::aoadd (YODA::AnalysisObjectPtr dst, YODA::AnalysisObjectPtr src, double scale)
bool | Rivet::copyao (YODA::AnalysisObjectPtr src, YODA::AnalysisObjectPtr dst, double scale=1.0)
bool | Rivet::addaos (YODA::AnalysisObjectPtr dst, YODA::AnalysisObjectPtr src, double scale)
template<typename TPtr >
bool | Rivet::bookingCompatible (TPtr a, TPtr b)
bool | Rivet::bookingCompatible (CounterPtr, CounterPtr)
bool | Rivet::bookingCompatible (YODA::CounterPtr, YODA::CounterPtr)

## Detailed Description

## Function Documentation

## ◆ addaos()

bool Rivet::addaos | ( | YODA::AnalysisObjectPtr | dst,
|  | YODA::AnalysisObjectPtr | src,
|  | double | scale
| ) |  |

If dst is the same subclass as src, scale the contents of src with scale and add it to dst and return true. Otherwise return false.

## ◆ aoadd()

template<typename T >

bool Rivet::aoadd | ( | YODA::AnalysisObjectPtr | dst,
|  | YODA::AnalysisObjectPtr | src,
|  | double | scale
| ) |  |
| inline

If dst and src both are of same subclass T, add the contents of src into dst and return true. Otherwise return false.

## ◆ aocopy() [1/2]

template<typename T >

bool Rivet::aocopy | ( | YODA::AnalysisObjectPtr | src,
|  | YODA::AnalysisObjectPtr | dst
| ) |  |
| inline

If dst and src both are of same subclass T, copy the contents of src into dst and return true. Otherwise return false.

## ◆ aocopy() [2/2]

template<typename T >

bool Rivet::aocopy | ( | YODA::AnalysisObjectPtr | src,
|  | YODA::AnalysisObjectPtr | dst,
|  | double | scale
| ) |  |
| inline

If dst and src both are of same subclass T, copy the contents of src into dst and return true. Otherwise return false. The scale argument will be ued to scale the weights of non-scatter types, cf. aoadd().

## ◆ bookingCompatible()

template<typename TPtr >

bool Rivet::bookingCompatible | ( | TPtr | a,
|  | TPtr | b
| ) |  |
| inline

Check if two analysis objects have the same binning or, if not binned, are in other ways compatible.

Referenced by Rivet::Analysis::addAnalysisObject(), and Rivet::Analysis::registerAO().

## ◆ copyao()

bool Rivet::copyao | ( | YODA::AnalysisObjectPtr | src,
|  | YODA::AnalysisObjectPtr | dst,
|  | double | scale = `1.0`
| ) |  |

If dst is the same subclass as src, copy the contents of src into dst and return true. Otherwise return false.

## ◆ getDatafilePath()

string Rivet::getDatafilePath | ( | const string & | papername | ) |

Get the file system path to the reference file for this paper.

Todo:
  Also provide a Scatter3D getRefData() version?

## ◆ getRefData()

map< string, YODA::AnalysisObjectPtr > Rivet::getRefData | ( | const string & | papername | ) |

Function to get a map of all the refdata in a paper with the given papername.